## org.apache.axis.components.jms
Class JNDIVendorAdapter

    java.lang.Object
      |
      +--org.apache.axis.components.jms.JMSVendorAdapter
            |
            +--org.apache.axis.components.jms.JNDIVendorAdapter

public class JNDIVendorAdapter
extends JMSVendorAdapter

Uses JNDI to locate ConnectionFactory and Destinations

Author:
  Jaime Meritt (jmeritt@sonicsoftware.com)

Field Summary
`static java.lang.String` `CONNECTION_FACTORY_JNDI_NAME`

Fields inherited from class org.apache.axis.components.jms.JMSVendorAdapter
`CONNECT_ACTION, ON_EXCEPTION_ACTION, RECEIVE_ACTION, SEND_ACTION, SUBSCRIBE_ACTION`

Constructor Summary
`JNDIVendorAdapter()`

Method Summary
`javax.jms.Queue` `getQueue(javax.jms.QueueSession session, java.lang.String name)`
`javax.jms.QueueConnectionFactory` `getQueueConnectionFactory(java.util.HashMap cfConfig)`
`javax.jms.Topic` `getTopic(javax.jms.TopicSession session, java.lang.String name)`
`javax.jms.TopicConnectionFactory` `getTopicConnectionFactory(java.util.HashMap cfConfig)`

Methods inherited from class org.apache.axis.components.jms.JMSVendorAdapter
`isRecoverable`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### CONNECTION_FACTORY_JNDI_NAME

    public static final java.lang.String CONNECTION_FACTORY_JNDI_NAME

See Also:
  Constant Field Values

Constructor Detail

### JNDIVendorAdapter

    public JNDIVendorAdapter()

Method Detail

### getQueueConnectionFactory

    public javax.jms.QueueConnectionFactory getQueueConnectionFactory(java.util.HashMap cfConfig)
                                                               throws java.lang.Exception

  Specified by:
    `getQueueConnectionFactory` in class `JMSVendorAdapter`
    `java.lang.Exception`

### getTopicConnectionFactory

    public javax.jms.TopicConnectionFactory getTopicConnectionFactory(java.util.HashMap cfConfig)
                                                               throws java.lang.Exception

  Specified by:
    `getTopicConnectionFactory` in class `JMSVendorAdapter`
    `java.lang.Exception`

### getQueue

    public javax.jms.Queue getQueue(javax.jms.QueueSession session,
                                    java.lang.String name)
                             throws java.lang.Exception

  Overrides:
    `getQueue` in class `JMSVendorAdapter`
    `java.lang.Exception`

### getTopic

    public javax.jms.Topic getTopic(javax.jms.TopicSession session,
                                    java.lang.String name)
                             throws java.lang.Exception

  Overrides:
    `getTopic` in class `JMSVendorAdapter`
    `java.lang.Exception`

Copyright © 2003 Apache Web Services Project. All Rights Reserved.